Subject: protein lengths

From: Naomi Siew <[email-masked]>
Date: Tue, 20 Nov 2001 17:45:46 +0200

Hi,

I would like to rephrase my question:

I am looking for a list of protein families, by function (e.g. GPCRs,
ribozomes, immunoglobulins, Ser proteases, etc.), and their lengths.
e.g. GPCRs - average length xxx residues (or: length range: xxx-yyy
residues), etc.

I am most interested to know which are the longest proteins.

Those functional databases that I searched give a general length
distribution for each organism.
Perhaps I missed those that have a general length distribution, by
function, for all the organisms sequenced thus far.

Thanks,
Naomi